## Class invalid_exception

zeep::xml::invalid_exception

## Synopsis

    // In header: <zeep/xml/parser.hpp>

    class invalid_exception : public  {
    public:
      // construct/copy/destruct
      ();
      ~();
    };

## Description

If an invalid_exception is thrown, it means the XML document is not valid: it does not conform the DTD specified in the XML document. This is only thrown when validation is enabled.

The what() member of the exception object will contain an explanation.

### `invalid_exception` public construct/copy/destruct

1.     ( msg);

2.     ~();